## [0.7.39] - 2022-04-29

* Rename configMap to prevent helmRelease to fail when nextcloud.configs
  is specified (#1030)

## [0.7.18] - 2022-03-24

* Fix broken nextcloud cronjobs.

## [0.7.16] - 2022-03-24

* Add maintenance tasks and app updated to post-install/-upgrade helm hook

## [0.7.0] - 2022-02-22

* Replace ONLYOFFICE's postgresql database by mariadb. When upgrading, please
  make sure no documents are opened in ONLYOFFICE during the upgrade process.

## [0.6.0] - 2021-01-21

* Upgrade ONLYOFFICE version from 6.4.2.6 to 7.0.0.132

## [0.5.3] - 2021-12-01

* Chart is now available on via helm repository:
  <https://open.greenhost.net/api/v4/projects/1/packages/helm/stable>

## [0.5.2] - 2021-11-03

* Allow setting custom Kubernetes labels and annotations on onlyoffice deployment
  and pod.

## [0.5.1] - 2021-11-03

* Fix mistakes in sociallogin config

## [0.5.0] - 2021-11-02

* Change the sociallogin settings structure so it can be automatically converted
  to JSON

  If you use sociallogin, you need to change the settings to conform the
  structure currently under `sociallogin.custom_oidc` in `values.yaml`.

  Example:

  ```yaml
  sociallogin:
    custom_oidc:
      authorizeUrl: "sso.${domain}/oauth2/auth"
      tokenUrl: "sso.${domain}/oauth2/token"
      userInfoUrl: "sso.${domain}/userinfo"
      clientSecret: "${nextcloud_oauth_client_secret}"
  ```

## [0.4.0] - 2021-11-02

* Replace pod probes by exec ones to actually check healthcheck status
* Update NC chart to 2.9.0
  * This in turn updates the mariadb dependency chart from 7.10 to 9.6, which
    brings along some changes to helm value names: see [their upgrade
    notes](https://github.com/bitnami/charts/tree/master/bitnami/mariadb/#to-800).
  * Also, this requires Helm version 3.7 or higher to install (or upgrade).

## [0.3.3] - 2021-09-02

* Add startupProbe for ONLYOFFICE

## [0.3.2] - 2021-08-12

* Update NC chart to 2.7.3
* Let setup-apps jobs stay around for introspection for 10m after
  successful completion

## [0.3.1] - 2021-08-10

* Fix `setup-apps` job for chart upgrades with new apps

## [0.3.0] - 2021-08-04

* Update NC chart to 2.7.0, including NC 20.0.11

## [0.2.9] - 2021-06-14

* Add option to make `/var/lib/onlyoffice` a persistent directory

## [0.2.8] - 2021-06-14

* Enable ONLYOFFICE "forcesave" feature by default

## [0.2.7] - 2021-04-21

* Update ONLYOFFICE version to 6.2.2.21

## [0.2.6] - 2021-03-18

* Allow `USE_UNAUTHORIZED_STORAGE` and `ONLYOFFICE_HTTPS_HSTS_ENABLED`

## [0.2.5] - 2021-03-18

* Specify proper repo URLs, add Chart.lock
* Deprecate @stable repo
* Small fixes

## [0.2.4] - 2020-07-08

* Update configuration of sociallogin plugin to work with newest version of app

## [0.2.3] - 2020-06-08

* Upgrade Nextcloud to 17.0 (helm chart 1.10.1)
* Upgrade Postgresql to 11.7.0 (helm chart 8.6.4)
